[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDockForm.DoRemoveDockClient

Removes the specified form from the list of docked clients, and releases the dock form when all docked clients have been removed.

## Declaration

Source position: forms.pp line 962

`protected procedure TCustomDockForm.DoRemoveDockClient(`
`Client: TControl`
`); override;`

## Arguments

`Client` |  | Client control removed from the dock list in the method.

## See also

TWinControl.DoRemoveDockClient |  | Override this method to take special actions on removal of an docked client.